
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `lychee551`
--
-- --------------------------------------------------------

--
-- Table structure for table `access_permissions`
--

CREATE TABLE `access_permissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `base_album_id` char(24) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_link_required` tinyint(1) NOT NULL DEFAULT '0',
  `password` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `grants_full_photo_access` tinyint(1) NOT NULL DEFAULT '0',
  `grants_download` tinyint(1) NOT NULL DEFAULT '0',
  `grants_upload` tinyint(1) NOT NULL DEFAULT '0',
  `grants_edit` tinyint(1) NOT NULL DEFAULT '0',
  `grants_delete` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `access_permissions_base_album_id_user_id_unique` (`base_album_id`,`user_id`),
  KEY `access_permissions_user_id_index` (`user_id`),
  KEY `access_permissions_base_album_id_index` (`base_album_id`),
  KEY `access_permissions_is_link_required_index` (`is_link_required`),
  KEY `access_permissions_is_link_required_password_index` (`is_link_required`,`password`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `albums`
--

CREATE TABLE `albums` (
  `id` char(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` char(24) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `license` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `album_thumb_aspect_ratio` varchar(6) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `album_sorting_col` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `album_sorting_order` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cover_id` char(24) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `header_id` char(24) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `track_short_path` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `_lft` bigint(20) unsigned NOT NULL DEFAULT '0',
  `_rgt` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `albums__lft__rgt__index` (`_lft`,`_rgt`),
  KEY `albums_parent_id_foreign` (`parent_id`),
  KEY `albums_cover_id_foreign` (`cover_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `base_albums`
--

CREATE TABLE `base_albums` (
  `id` char(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `legacy_id` bigint(20) unsigned NOT NULL,
  `created_at` datetime(6) NOT NULL,
  `updated_at` datetime(6) NOT NULL,
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `owner_id` int(10) unsigned NOT NULL DEFAULT '0',
  `is_nsfw` tinyint(1) NOT NULL DEFAULT '0',
  `sorting_col` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sorting_order` varchar(4) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `copyright` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `base_albums_legacy_id_unique` (`legacy_id`),
  KEY `base_albums_owner_id_index` (`owner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `configs`
--

CREATE TABLE `configs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(200) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cat` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Config',
  `type_range` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '0|1',
  `is_secret` tinyint(1) NOT NULL DEFAULT '0',
  `description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `configs_key_unique` (`key`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=149 ;

--
-- Dumping data for table `configs`
--

INSERT INTO `configs` VALUES
(1, 'version', '050501', 'Admin', 'int', 0, 'Current version of Lychee'),
(4, 'check_for_updates', '0', 'Admin', '0|1', 0, 'Automatically check for new updates'),
(5, 'sorting_photos_col', 'taken_at', 'Gallery', 'created_at|taken_at|title|description|is_starred|type', 0, 'Default column used for sorting photos'),
(6, 'sorting_photos_order', 'ASC', 'Gallery', 'ASC|DESC', 0, 'Default order used for sorting photos'),
(7, 'sorting_albums_col', 'max_taken_at', 'Gallery', 'created_at|title|description|max_taken_at|min_taken_at', 0, 'Default column used for sorting albums'),
(8, 'sorting_albums_order', 'ASC', 'Gallery', 'ASC|DESC', 0, 'Default order used for sorting albums'),
(9, 'imagick', '1', 'Image Processing', '0|1', 0, 'Enable imagick processing'),
(10, 'dropbox_key', '', 'Admin', 'string', 1, 'Dropbox API key'),
(11, 'skip_duplicates', '0', 'Image Processing', '0|1', 0, 'Skip duplicate if found on import'),
(12, 'small_max_width', '0', 'Image Processing', 'int', 0, 'Maximum width for small thumbs ((un)justified album view)'),
(13, 'small_max_height', '360', 'Image Processing', 'int', 0, 'Maximum height for small thumbs ((un)justified album view)'),
(14, 'medium_max_width', '1920', 'Image Processing', 'int', 0, 'Maximum width for medium image (photo view)'),
(15, 'medium_max_height', '1080', 'Image Processing', 'int', 0, 'Maximum height for medium image (photo view)'),
(16, 'lang', 'en', 'Gallery', '', 0, 'Language used by Lychee'),
(19, 'image_overlay_type', 'desc', 'Gallery', 'exif|desc|date|none', 0, 'Default image overlay information'),
(20, 'default_license', 'none', 'Gallery', 'license', 0, 'Default license used for albums'),
(21, 'compression_quality', '90', 'Image Processing', 'positive', 0, 'Compression percent when generating thumbs'),
(22, 'grants_full_photo_access', '1', 'Gallery', '0|1', 0, 'Allows access to full resolution by default'),
(23, 'delete_imported', '0', 'Image Processing', '0|1', 0, 'When importing from server, delete originals'),
(24, 'mod_frame_enabled', '1', 'Mod Frame', '0|1', 0, ''),
(25, 'mod_frame_refresh', '30', 'Mod Frame', 'int', 0, 'Refresh rate of the Frame'),
(26, 'thumb_2x', '1', 'Image Processing', '0|1', 0, 'Enable 2x size of square thumbs'),
(27, 'small_2x', '1', 'Image Processing', '0|1', 0, 'Enable 2x size of small thumbs'),
(28, 'medium_2x', '1', 'Image Processing', '0|1', 0, 'Enable 2x size of medium pictures'),
(29, 'landing_page_enable', '0', 'Mod Welcome', '0|1', 0, 'Display the landing page'),
(30, 'site_owner', 'John Smith', 'config', 'string', 1, ''),
(31, 'landing_title', 'John Smith', 'Mod Welcome', 'string', 1, 'Title on the landing page'),
(32, 'landing_subtitle', 'Cats, Dogs & Humans Photography', 'Mod Welcome', 'string', 1, 'Subtitle on the landing page'),
(33, 'sm_facebook_url', 'https://www.facebook.com/JohnSmith', 'Social Media', 'string', 1, ''),
(34, 'sm_flickr_url', 'https://www.flickr.com/JohnSmith', 'Social Media', 'string', 1, ''),
(35, 'sm_twitter_url', 'https://www.twitter.com/JohnSmith', 'Social Media', 'string', 1, ''),
(36, 'sm_instagram_url', 'https://instagram.com/JohnSmith', 'Social Media', 'string', 1, ''),
(37, 'sm_youtube_url', 'https://www.youtube.com/JohnSmith', 'Social Media', 'string', 1, ''),
(38, 'landing_background', 'dist/cat.webp', 'Mod Welcome', 'string', 1, 'URL of background image'),
(39, 'site_title', 'Lychee v5', 'config', 'string', 1, 'Website title'),
(40, 'footer_show_copyright', '1', 'Footer', '0|1', 1, ''),
(41, 'site_copyright_begin', '2019', 'config', 'positive', 1, 'Initial year of copyright'),
(42, 'site_copyright_end', '2019', 'config', 'positive', 1, 'Last year of copyright'),
(44, 'allow_online_git_pull', '1', 'Admin', '0|1', 1, 'Allow git pull via web interface'),
(45, 'force_migration_in_production', '0', 'Admin', '0|1', 0, 'Force migration even if app is in production mode'),
(46, 'footer_additional_text', '', 'Footer', 'string', 1, ''),
(47, 'footer_show_social_media', '0', 'Footer', '0|1', 1, ''),
(48, 'search_public', '0', 'Mod Search', '0|1', 0, 'Allows anonymous user to use the Search bar'),
(50, 'hide_version_number', '0', 'config', '0|1', 0, 'Hide current version number'),
(51, 'SL_enable', '0', 'Symbolic Link', '0|1', 0, 'Enable symbolic link protection'),
(52, 'SL_for_admin', '0', 'Symbolic Link', '0|1', 0, 'Enable symbolic links on logged in admin user'),
(53, 'SL_life_time_days', '7', 'Symbolic Link', 'positive', 1, 'Maximum life time for symbolic link'),
(55, 'recent_age', '1', 'Smart Albums', 'positive', 0, 'Maximum age of pictures in Recent in days'),
(57, 'grants_download', '0', 'config', '0|1', 0, ''),
(58, 'photos_wraparound', '1', 'Gallery', '0|1', 0, 'Once reaching last picture of an album, loop back to the start'),
(59, 'raw_formats', '.tex', 'config', '', 1, 'Allowed extra formats, will not be processed'),
(60, 'map_display', '0', 'Mod Map', '0|1', 0, 'Display the map given GPS coordinates'),
(61, 'zip64', '1', 'config', '0|1', 0, 'Use Zip 64bits instead of 32 bits'),
(62, 'map_display_public', '0', 'Mod Map', '0|1', 0, 'Allow anonymous users to access the map'),
(63, 'map_provider', 'Wikimedia', 'Mod Map', 'map_provider', 0, 'Defines the map provider'),
(64, 'force_32bit_ids', '0', 'config', '0|1', 0, 'Force 32 bit legacy identifiers in the database'),
(65, 'map_include_subalbums', '0', 'Mod Map', '0|1', 0, 'Includes pictures of the sub albums on the map'),
(66, 'update_check_every_days', '3', 'config', 'positive', 0, 'Frequency of Lychee update checks'),
(67, 'has_exiftool', '0', 'Image Processing', '0|1|2', 0, 'Defines whether exiftool processing is available'),
(68, 'share_button_visible', '0', 'config', '0|1', 0, 'Share button visibility in the header'),
(69, 'import_via_symlink', '0', 'Image Processing', '0|1', 0, 'Use symbolic links instead of copying the original on import from server'),
(70, 'has_ffmpeg', '0', 'Image Processing', '0|1|2', 0, 'Defines whether ffmpeg processing is available'),
(71, 'apply_composer_update', '0', 'Admin', '0|1', 1, 'Apply composer update on lychee update via web interface'),
(72, 'location_decoding', '0', 'Mod Map', '0|1', 0, 'Use GPS location decoding'),
(73, 'location_decoding_timeout', '30', 'Mod Map', 'int', 0, 'Timeout for the GPS decoding queries'),
(74, 'location_show', '1', 'Mod Map', '0|1', 0, 'Show location extracted from GPS coordinates'),
(75, 'location_show_public', '0', 'Mod Map', '0|1', 0, 'Anonymous users can acess the extracted location from GPS coordinates'),
(76, 'rss_enable', '0', 'Mod RSS', '0|1', 0, 'Enable RSS feed'),
(77, 'rss_recent_days', '7', 'Mod RSS', 'positive', 0, 'Display the last X days in the RSS feed'),
(78, 'rss_max_items', '100', 'Mod RSS', 'positive', 0, 'Max number of items in the RSS feed'),
(79, 'prefer_available_xmp_metadata', '0', 'Image Processing', '0|1', 0, 'Use sidecar if provided instead of exif metadata'),
(80, 'editor_enabled', '1', 'Image Processing', '0|1', 0, 'Enable manual rotation of images'),
(81, 'lossless_optimization', '0', 'Image Processing', '0|1', 0, 'Apply additional compression on images'),
(82, 'swipe_tolerance_x', '150', 'Gallery', 'positive', 0, 'Defines default horizontal swipe tolerance for mobile interactions'),
(83, 'swipe_tolerance_y', '250', 'Gallery', 'positive', 0, 'Defines default vertical swipe tolerance for mobile interactions'),
(84, 'local_takestamp_video_formats', '.avi|.mov', 'Image Processing', '', 0, ''),
(85, 'log_max_num_line', '1000', 'Admin', 'positive', 0, 'Display the last X most recent lines in Logs'),
(86, 'unlock_password_photos_with_url_param', '0', 'Smart Albums', '0|1', 0, 'Allow password to be passed as a URL parameter to unlock albums'),
(87, 'nsfw_visible', '1', 'Mod NSFW', '0|1', 0, 'Make sensitive albums visible by default'),
(88, 'nsfw_blur', '0', 'Mod NSFW', '0|1', 0, 'Blur sensitive albums'),
(89, 'nsfw_warning', '0', 'Mod NSFW', '0|1', 0, 'Enable sensitive albums warning'),
(90, 'nsfw_warning_admin', '0', 'Mod NSFW', '0|1', 0, 'Enable sensitive albums warning when logged in'),
(91, 'nsfw_banner_override', '', 'Mod NSFW', 'string', 0, ''),
(92, 'map_display_direction', '1', 'Mod Map', '0|1', 0, 'Display the direction of the picture on the map if available'),
(93, 'album_subtitle_type', 'oldstyle', 'Gallery', 'description|takedate|creation|oldstyle', 0, 'Defines the subtitle of album in albums view'),
(94, 'upload_processing_limit', '4', 'Image Processing', 'int', 0, 'Maximum number of images processed in parallel'),
(96, 'new_photos_notification', '0', 'config', '0|1', 0, 'Enable notifications when new photos are added'),
(97, 'legacy_id_redirection', '1', 'config', '0|1', 0, 'Enables/disables the redirection support for legacy IDs'),
(98, 'zip_deflate_level', '6', 'config', '-1|0|1|2|3|4|5|6|7|8|9', 0, 'DEFLATE compression level: -1 = disable compression (use STORE method), 0 = no compression (use DEFLATE method), 1 = minimal compression (fast), ... 9 = maximum compression (slow)'),
(100, 'default_album_protection', '1', 'config', '1|2|3', 0, 'Default protection for newly created albums. 1 = private, 2 = public, 3 = inherit from parent'),
(101, 'album_decoration', 'layers', 'Gallery', 'none|layers|album|photo|all', 0, 'Show decorations on album cover (sub-album and/or photo count)'),
(102, 'album_decoration_orientation', 'row', 'Gallery', 'column|column-reverse|row|row-reverse', 0, 'Align album decorations horizontally or vertically'),
(103, 'allow_username_change', '1', 'config', '0|1', 0, 'Allow users to change their username.'),
(105, 'auto_fix_orientation', '1', 'Image Processing', '0|1', 0, 'Automatically rotate imported images'),
(106, 'use_job_queues', '0', 'Image Processing', '0|1', 0, 'Use job queues instead of directly live connection.'),
(107, 'random_album_id', 'starred', 'Mod Frame', 'string', 0, 'Album id to be used by for random function.'),
(108, 'use_last_modified_date_when_no_exif_date', '0', 'Image Processing', '0|1', 0, 'Use the file''s last modified time when Exif data has no creation date'),
(109, 'ffmpeg_path', '', 'Image Processing', 'string', 1, 'Path to the binary of ffmpeg'),
(110, 'ffprobe_path', '', 'Image Processing', 'string', 1, 'Path to the binary of ffprobe'),
(111, 'layout', 'justified', 'Gallery', 'square|justified|masonry|grid', 0, 'Layout for pictures'),
(112, 'date_format_photo_thumb', 'M j, Y, g:i:s A e', 'Gallery', 'string_required', 0, 'Format the date for the photo thumbs. See https://www.php.net/manual/en/datetime.format.php'),
(113, 'date_format_photo_overlay', 'M j, Y, g:i:s A e', 'Gallery', 'string_required', 0, 'Format the date for the photo overlay. See https://www.php.net/manual/en/datetime.format.php'),
(114, 'date_format_sidebar_uploaded', 'M j, Y, g:i:s A e', 'Gallery', 'string_required', 0, 'Format the upload date for the photo sidebar. See https://www.php.net/manual/en/datetime.format.php'),
(115, 'date_format_sidebar_taken_at', 'M j, Y, g:i:s A e', 'Gallery', 'string_required', 0, 'Format the capture date for the photo sidebar. See https://www.php.net/manual/en/datetime.format.php'),
(116, 'date_format_hero_min_max', 'F Y', 'Gallery', 'string_required', 0, 'Format the date for the album hero. See https://www.php.net/manual/en/datetime.format.php'),
(117, 'date_format_hero_created_at', 'M j, Y, g:i:s A T', 'Gallery', 'string_required', 0, 'Format the created date for the album details. See https://www.php.net/manual/en/datetime.format.php'),
(118, 'date_format_album_thumb', 'M Y', 'Gallery', 'string_required', 0, 'Format the date for the album thumbs. See https://www.php.net/manual/en/datetime.format.php'),
(119, 'upload_chunk_size', '0', 'Image Processing', 'int', 0, 'Size of chunks when uploading in bytes: 0 is auto'),
(120, 'nsfw_banner_blur_backdrop', '0', 'Mod NSFW', '0|1', 0, 'Blur background instead of dark red opaque.'),
(121, 'search_pagination_limit', '1000', 'Mod Search', 'positive', 0, 'Number of results to display per page.'),
(122, 'search_minimum_length_required', '4', 'Mod Search', 'positive', 0, 'Number of characters required to trigger search (default: 4).'),
(123, 'photo_layout_justified_row_height', '320', 'Gallery', 'positive', 0, 'Heights of rows in Justified photo layout'),
(124, 'photo_layout_masonry_column_width', '300', 'Gallery', 'positive', 0, 'Minimum column width in Masonry photo layout.'),
(125, 'photo_layout_grid_column_width', '250', 'Gallery', 'positive', 0, 'Minimum column width in Grid photo layout.'),
(126, 'photo_layout_square_column_width', '200', 'Gallery', 'positive', 0, 'Minimum column width in Square photo layout.'),
(127, 'photo_layout_gap', '12', 'Gallery', 'positive', 0, 'Gap between columns in Square/Masonry/Grid photo layout.'),
(128, 'display_thumb_album_overlay', 'always', 'Gallery', 'always|hover|never', 0, 'Display the title and metadata on album thumbs (always|hover|never)'),
(129, 'display_thumb_photo_overlay', 'hover', 'Gallery', 'always|hover|never', 0, 'Display the title and metadata on album thumbs (always|hover|never)'),
(130, 'default_album_thumb_aspect_ratio', '1/1', 'Gallery', '1/1|2/3|3/2|4/5|5/4|16/9', 0, 'Default aspect ratio for album thumbs, one of: 1/1, 2/3, 3/2, 4/5, 5/4, 16/9'),
(131, 'use_album_compact_header', '0', 'Gallery', '0|1', 0, 'Disable the header image in albums (0|1)'),
(132, 'login_button_position', 'left', 'config', 'left|right', 0, 'Position of the login button (left | right)'),
(133, 'back_button_enabled', '0', 'Mod Back Button', '0|1', 0, 'Enable/disable back button on gallery (0 | 1)'),
(134, 'back_button_text', 'Return to Home', 'Mod Back Button', 'string', 0, 'Text of the back button (will be positioned opposite to Login)'),
(135, 'back_button_url', '/', 'Mod Back Button', 'string', 1, 'Link of the back button'),
(136, 'current_job_processing_visible', '1', 'Image Processing', '0|1', 0, 'Make the processing job queue visible by default (0|1).'),
(137, 'SA_random_thumbs', '0', 'Smart Albums', '0|1', 0, 'Use random thumbs instead of stared/sorting order.'),
(138, 'job_processing_queue_visible', '1', 'Image Processing', '0|1', 0, 'Enable the processing queue in the bottom left corner.'),
(139, 'login_required', '0', 'Gallery', '0|1', 0, 'Require user to login to access gallery.'),
(140, 'enable_unsorted', '1', 'Smart Albums', '0|1', 0, 'Enable Unsorted smart album. Warning! Disabling this will make pictures without an album invisible.'),
(141, 'enable_starred', '1', 'Smart Albums', '0|1', 0, 'Enable Starred smart album.'),
(142, 'enable_recent', '1', 'Smart Albums', '0|1', 0, 'Enable Recent uploads smart album.'),
(143, 'enable_on_this_day', '1', 'Smart Albums', '0|1', 0, 'Enable On this day smart album.'),
(144, 'oauth_create_user_on_first_attempt', '0', 'OAuth & SSO', '0|1', 1, 'Allow user creation when oauth id does not exist.'),
(145, 'oauth_grant_new_user_upload_rights', '0', 'OAuth & SSO', '0|1', 1, 'Newly created user are allowed to upload content.'),
(146, 'oauth_grant_new_user_modification_rights', '0', 'OAuth & SSO', '0|1', 1, 'Newly created user are allowed to edit their profile.'),
(147, 'login_required_root_only', '1', 'Gallery', '0|1', 0, 'Require user to login only on root. A user with a direct link to an album can still access it.'),
(148, 'exiftool_path', '', 'Image Processing', 'string', 1, 'Path to the binary of exiftool.');

-- --------------------------------------------------------

--
-- Table structure for table `failed_jobs`
--

CREATE TABLE `failed_jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `jobs`
--

CREATE TABLE `jobs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint(3) unsigned NOT NULL,
  `reserved_at` int(10) unsigned DEFAULT NULL,
  `available_at` int(10) unsigned NOT NULL,
  `created_at` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `jobs_history`
--

CREATE TABLE `jobs_history` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `owner_id` int(10) unsigned NOT NULL,
  `job` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_history_owner_id_status_index` (`owner_id`,`status`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `logs`
--

CREATE TABLE `logs` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL,
  `updated_at` datetime(6) NOT NULL,
  `type` varchar(11) COLLATE utf8mb4_unicode_ci NOT NULL,
  `function` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `line` int(11) NOT NULL,
  `text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `migrations`
--

CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=211 ;

--
-- Dumping data for table `migrations`
--

INSERT INTO `migrations` VALUES
(1, '2014_10_12_000000_create_users_table', 1),
(2, '2018_08_03_110935_create_albums_table', 1),
(3, '2018_08_03_110936_create_photos_table', 1),
(4, '2018_08_03_110942_create_configs_table', 1),
(5, '2018_08_03_111324_create_logs_table', 1),
(6, '2018_08_10_134924_move_settings', 1),
(7, '2018_08_15_102039_move_albums', 1),
(8, '2018_08_15_103716_move_photos', 1),
(9, '2018_10_30_135411_sharing', 1),
(10, '2019_02_21_114356_create_pages_table', 1),
(11, '2019_02_21_114408_create_page_contents_table', 1),
(12, '2019_06_21_180451_create_sym_links_table', 1),
(13, '2019_09_28_171753_config_fix', 1),
(14, '2019_09_28_190822_photos_fix', 1),
(15, '2019_10_01_add_livephoto_cols', 1),
(16, '2019_10_02_1400_config_map_display_public', 1),
(17, '2019_10_03_214750_frame_refresh_in_sec', 1),
(18, '2019_10_06_1400_config_map_providers', 1),
(19, '2019_10_06_152017_add_force_32bit_ids', 1),
(20, '2019_10_07_0900_config_map_include_sub_albums', 1),
(21, '2019_10_09_233402_config_map_mod', 1),
(22, '2019_10_11_093442_config_check_update_every', 1),
(23, '2019_12_02_2100_config_exiftool', 1),
(24, '2019_12_15_0700_add_share_button_visible_option', 1),
(25, '2019_12_15_1000_config_check_update_every_cat_fix', 1),
(26, '2019_12_25_0600_config_exiftool_ternary', 1),
(27, '2020_01_018_2300_config_import_via_symlink', 1),
(28, '2020_01_04_1200_config_has_ffmpeg', 1),
(29, '2020_01_26_1200_config_public_sorting', 1),
(30, '2020_01_28_133201_composer_update', 1),
(31, '2020_02_14_0600_location_decoding', 1),
(32, '2020_03_11_124417_increase_length_photo_type', 1),
(33, '2020_03_17_200000_unhide_configs', 1),
(34, '2020_04_19_122905_bump_version', 1),
(35, '2020_04_22_155712_bump_version040002', 1),
(36, '2020_04_29_000250_bump_version040003', 1),
(37, '2020_05_12_114228_rss', 1),
(38, '2020_05_12_161427_bump_version040005', 1),
(39, '2020_05_19_174233_config_prefer_available_xmp_metadata', 1),
(40, '2020_05_26_135052_bump_version040006', 1),
(41, '2020_06_04_104605_config_editor_enabled', 1),
(42, '2020_07_11_104605_config_lossless_optimization', 1),
(43, '2020_07_11_184605_update_licences', 1),
(44, '2020_07_26_085322_config_swipe_tolerance', 1),
(45, '2020_07_29_132731_config_local_takestamp', 1),
(46, '2020_08_21_123622_add_smart_tag_album_cols', 1),
(47, '2020_10_09_130043_bump_version040007', 1),
(48, '2020_10_15_104504_add_log_max_num_line', 1),
(49, '2020_10_15_161346_sort_image_per_album', 1),
(50, '2020_11_12_183345_config_password_url_param_for_smart_album', 1),
(51, '2020_11_19_231553_bump_version040008', 1),
(52, '2020_12_12_203153_migrate_admin_user', 1),
(53, '2020_12_12_203831_create_web_authn_tables', 1),
(54, '2020_12_18_162100_bump_version040009', 1),
(55, '2020_12_18_162155_add_nsfw_album', 1),
(56, '2020_12_18_163800_bump_version040010', 1),
(57, '2020_12_24_022307_bump_version040100', 1),
(58, '2020_12_26_153220_nested_set_for_albums', 1),
(59, '2021_01_09_163715_remove_max_min_takestamps', 1),
(60, '2021_01_12_122546_bump_version040200', 1),
(61, '2021_01_18_103729_add_album_cover', 1),
(62, '2021_01_20_113912_bump_version040201', 1),
(63, '2021_01_24_231904_fix-rotation', 1),
(64, '2021_01_27_085903_config_map_display_direction', 1),
(65, '2021_01_30_111736_display_takedate', 1),
(66, '2021_02_12_222948_config_upload_processing_limit', 1),
(67, '2021_02_13_132245_bump_version040202', 1),
(68, '2021_02_18_232639_config_public_photos_hidden', 1),
(69, '2021_03_03_175555_config_remove_image_overlay', 1),
(70, '2021_04_17_135924_bump_version040300', 1),
(71, '2021_05_02_174300_add_filesize_raw_col', 1),
(72, '2021_05_12_185726_bump_version040301', 1),
(73, '2021_05_13_140700_refactor_size_variants', 1),
(74, '2021_05_16_171615_bump_version040302', 1),
(75, '2021_05_25_160600_post_revert_fixes', 1),
(76, '2021_05_31_201000_convert_filesize_to_bigint', 1),
(77, '2021_06_01_181900_refactor_timestamps_anew', 1),
(78, '2021_06_01_182000_bump_version040304', 1),
(79, '2021_06_06_151613_fix-takedate', 1),
(80, '2021_06_23_105939_create_notifications_table', 1),
(81, '2021_06_30_121651_add_email_to_users_table', 1),
(82, '2021_06_30_122229_config_new_photos_notification', 1),
(83, '2021_07_19_134617_bump_version040305', 1),
(84, '2021_10_27_133121_fix_confidentiality', 1),
(85, '2021_11_16_162058_bump_version040306', 1),
(86, '2021_12_03_201242_bump_version040400', 1),
(87, '2021_12_04_181200_refactor_models', 1),
(88, '2022_01_13_183131_bump_version040500', 1),
(89, '2022_01_16_181337_optimize_tables', 1),
(90, '2022_02_02_203008_filesize_size_variants', 1),
(91, '2022_02_22_194700_fix_sorting_config', 1),
(92, '2022_04_06_091900_drop_objectionable_indices', 1),
(93, '2022_04_13_094611_add_track_short_path_to_album_table', 1),
(94, '2022_04_16_170724_add_missing_indices', 1),
(95, '2022_04_16_174503_bump_version040501', 1),
(96, '2022_04_18_150400_add_index_for_delete', 1),
(97, '2022_04_18_174417_fix_live_photo_short_path', 1),
(98, '2022_06_12_075709_add_token_to_user_table', 1),
(99, '2022_07_09_130303_create_webauthn_credentials', 1),
(100, '2022_07_13_174800_permission_test', 1),
(101, '2022_07_24_102214_bump_version040502', 1),
(102, '2022_08_03_184746_add_zip_options', 1),
(103, '2022_08_06_205701_bump_version040503', 1),
(104, '2022_08_06_210757_bump_version040600', 1),
(105, '2022_08_27_103010_drop_page_support', 1),
(106, '2022_08_27_110209_drop_admin_user_config', 1),
(107, '2022_09_27_103710_bump_version040601', 1),
(108, '2022_10_23_143201_make_wui_settings_public', 1),
(109, '2022_10_28_232159_bump_version040602', 1),
(110, '2022_11_07_171403_add_config_descriptions', 1),
(111, '2022_11_27_143608_bump_version040603', 1),
(112, '2022_12_05_195600_enable_disable_smart_albums', 1),
(113, '2022_12_07_141854_rename_capabilities', 1),
(114, '2022_12_07_143755_add_default_protection_option', 1),
(115, '2022_12_07_164417_config_uniformize_rights', 1),
(116, '2022_12_07_175257_rename_attributes_grants', 1),
(117, '2022_12_10_183251_increment_user_i_ds', 1),
(118, '2022_12_12_100000_enable_disable_album_photo_counters', 1),
(119, '2022_12_21_212143_use_webp_for_example', 1),
(120, '2022_12_25_103052_bump_version040604', 1),
(121, '2022_12_26_101639_allow_username_change', 1),
(122, '2022_12_26_111139_bump_version040605', 1),
(123, '2022_12_28_164844_remove-demo', 1),
(124, '2022_12_31_103416_bump_version040700', 1),
(125, '2023_01_09_133603_public_on_this_day', 1),
(126, '2023_01_25_140614_change-locale', 1),
(127, '2023_02_05_155552_bump_version040701', 1),
(128, '2023_02_23_192505_add_auto_fix_orientation_setting', 1),
(129, '2023_03_08_103109_bump_version040702', 1),
(130, '2023_04_05_150337_create_jobs_table', 1),
(131, '2023_04_05_150625_queue-processing', 1),
(132, '2023_04_05_220214_create_failed_jobs_table', 1),
(133, '2023_04_09_142907_create_job_history_table', 1),
(134, '2023_04_18_065457_bump_version040703', 1),
(135, '2023_05_01_165730_add_random_photo_settings', 1),
(136, '2023_05_04_070132_bump_version040704', 1),
(137, '2023_05_04_193000_add_use_last_modified_date_when_no_exit_date_setting', 1),
(138, '2023_05_05_052254_create_access_permissions', 1),
(139, '2023_05_05_052255_simplify_user_base_album', 1),
(140, '2023_05_05_052256_simplify_base_album', 1),
(141, '2023_05_05_052257_create_access_permissions_for_smart_albums', 1),
(142, '2023_05_05_123230_bump_version040800', 1),
(143, '2023_05_15_081406_bump_version040801', 1),
(144, '2023_05_15_211448_remove_is_public_album_sorting', 1),
(145, '2023_05_18_103903_bump_version040900', 1),
(146, '2023_05_19_131139_bump_version040901', 1),
(147, '2023_05_21_225616_bump_version040902', 1),
(148, '2023_06_20_174639_bump_version040903', 1),
(149, '2023_06_24_161541_add_indexes', 1),
(150, '2023_06_28_144440_bump_version040904', 1),
(151, '2023_07_07_143908_add_ratio_size_variants', 1),
(152, '2023_07_16_110146_bump_version041000', 1),
(153, '2023_08_07_182802_add_config_ffmpeg_path', 1),
(154, '2023_08_11_134652_bump_version041100', 1),
(155, '2023_09_03_124836_bump_version041101', 1),
(156, '2023_09_16_070405_refactor_type_layout', 1),
(157, '2023_09_16_074731_bump_version041200', 1),
(158, '2023_09_16_234050_require_single_key_in_config', 1),
(159, '2023_09_23_204910_bump_version041300', 1),
(160, '2023_09_24_110932_add_date_display_configurations', 1),
(161, '2023_09_24_223901_add_config_livewire_chunk_size', 1),
(162, '2023_09_24_233717_refactor_type_layout_livewire', 1),
(163, '2023_09_25_123925_config_blur_nsfw', 1),
(164, '2023_10_01_143159_config_map_provider', 1),
(165, '2023_12_18_191723_config_public_search', 1),
(166, '2023_12_18_232500_config_pagination_search_limit', 1),
(167, '2023_12_19_115547_search_characters_limit', 1),
(168, '2023_12_19_122408_add_positive_requirements', 1),
(169, '2023_12_20_180854_add_setting_height_width_gallery', 1),
(170, '2023_12_23_160356_bump_version050000', 1),
(171, '2023_12_25_115454_add_setting_display_thumb_overlay', 1),
(172, '2023_12_27_163004_bump_version050001', 1),
(173, '2023_12_28_144906_bump_version050002', 1),
(174, '2023_12_28_165358_add_subalbum_sorting_per_album', 1),
(175, '2023_12_30_220515_add_thumbs_albums_aspect_ratio', 1),
(176, '2023_12_30_221215_add_thumbs_albums_aspect_ratio_per_album', 1),
(177, '2024_01_03_154055_add_album_no_header_setting', 1),
(178, '2024_01_08_155917_bump_version050003', 1),
(179, '2024_01_08_163328_left_right_login_and_back', 1),
(180, '2024_01_13_124937_create_oauth_credentials_table', 1),
(181, '2024_01_17_101240_bump_version050100', 1),
(182, '2024_01_22_121406_bump_version050101', 1),
(183, '2024_01_23_190637_bump_version050102', 1),
(184, '2024_01_23_192800_remove_is_public_photo_sorting', 1),
(185, '2024_01_23_192814_remove_keys_and_column', 1),
(186, '2024_01_23_232103_remove_album_id_from_jobhistory', 1),
(187, '2024_01_24_063519_job_feedback_options', 1),
(188, '2024_02_28_004535_add_header_id_col', 1),
(189, '2024_04_06_165355_bump_version050200', 1),
(190, '2024_04_09_121410_decrease_noise_diagnostics', 1),
(191, '2024_04_14_103639_bump_version050201', 1),
(192, '2024_04_19_141432_fix_license', 1),
(193, '2024_04_20_132955_bump_version050202', 1),
(194, '2024_04_26_201931_add_storate_disk_to_size_variants', 1),
(195, '2024_04_28_135546_fix_license_again', 1),
(196, '2024_04_28_172241_add_album_copyright', 1),
(197, '2024_04_28_191004_bump_version050300', 1),
(198, '2024_05_13_175529_config_random_thumb_smart_album', 1),
(199, '2024_06_08_093403_primary_key_job_history', 1),
(200, '2024_06_08_103842_add_config_display_processing_queue', 1),
(201, '2024_06_08_183427_bump_version050301', 1),
(202, '2024_06_10_103843_add_login_required_option', 1),
(203, '2024_06_11_204410_bump_version050400', 1),
(204, '2024_06_17_171051_disable_per_smart_album_config', 1),
(205, '2024_06_17_172448_remove_global_disable_smart_albums', 1),
(206, '2024_06_21_154247_create_user_if_not_exists_on_oauth', 1),
(207, '2024_06_23_201042_enforce_login_on_gallery_only', 1),
(208, '2024_06_25_153527_bump_version050500', 1),
(209, '2024_07_01_231053_path_for_exiftool', 1),
(210, '2024_07_03_170506_bump_version050501', 1);

-- --------------------------------------------------------

--
-- Table structure for table `notifications`
--

CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint(20) unsigned NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `oauth_credentials`
--

CREATE TABLE `oauth_credentials` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `provider` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `oauth_credentials_token_id_unique` (`token_id`),
  UNIQUE KEY `oauth_credentials_provider_user_id_unique` (`provider`,`user_id`),
  KEY `oauth_credentials_user_id_index` (`user_id`),
  KEY `oauth_credentials_token_id_index` (`token_id`),
  KEY `oauth_credentials_token_id_provider_index` (`token_id`,`provider`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `photos`
--

CREATE TABLE `photos` (
  `id` char(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `legacy_id` bigint(20) unsigned NOT NULL,
  `created_at` datetime(6) NOT NULL,
  `updated_at` datetime(6) NOT NULL,
  `owner_id` int(10) unsigned NOT NULL DEFAULT '0',
  `album_id` char(24) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci,
  `tags` text COLLATE utf8mb4_unicode_ci,
  `license` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `is_starred` tinyint(1) NOT NULL DEFAULT '0',
  `iso` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `make` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `model` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lens` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `aperture` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shutter` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `focal` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `latitude` decimal(10,8) DEFAULT NULL,
  `longitude` decimal(11,8) DEFAULT NULL,
  `altitude` decimal(10,4) DEFAULT NULL,
  `img_direction` decimal(10,4) DEFAULT NULL,
  `location` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `taken_at` datetime(6) DEFAULT NULL COMMENT 'relative to UTC',
  `taken_at_orig_tz` varchar(31) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'the timezone at which the photo has originally been taken',
  `type` varchar(30) COLLATE utf8mb4_unicode_ci NOT NULL,
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0',
  `checksum` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `original_checksum` varchar(40) COLLATE utf8mb4_unicode_ci NOT NULL,
  `live_photo_short_path` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_photo_content_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `live_photo_checksum` varchar(40) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `photos_legacy_id_unique` (`legacy_id`),
  KEY `photos_owner_id_foreign` (`owner_id`),
  KEY `photos_checksum_index` (`checksum`),
  KEY `photos_original_checksum_index` (`original_checksum`),
  KEY `photos_live_photo_content_id_index` (`live_photo_content_id`),
  KEY `photos_live_photo_checksum_index` (`live_photo_checksum`),
  KEY `photos_album_id_taken_at_index` (`album_id`,`taken_at`),
  KEY `photos_album_id_created_at_index` (`album_id`,`created_at`),
  KEY `photos_album_id_is_starred_index` (`album_id`,`is_starred`),
  KEY `photos_album_id_type_index` (`album_id`,`type`),
  KEY `photos_album_id_is_starred_created_at_index` (`album_id`,`is_starred`,`created_at`),
  KEY `photos_album_id_is_starred_taken_at_index` (`album_id`,`is_starred`,`taken_at`),
  KEY `photos_album_id_is_starred_type_index` (`album_id`,`is_starred`,`type`),
  KEY `photos_album_id_is_starred_title_index` (`album_id`,`is_starred`,`title`),
  KEY `photos_album_id_is_starred_description(128)_index` (`album_id`,`is_starred`,`description`(128))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `size_variants`
--

CREATE TABLE `size_variants` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `photo_id` char(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '0: original, ..., 6: thumb',
  `short_path` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `width` int(11) NOT NULL,
  `height` int(11) NOT NULL,
  `ratio` double NOT NULL DEFAULT '1',
  `filesize` bigint(20) unsigned NOT NULL DEFAULT '0',
  `storage_disk` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'images',
  PRIMARY KEY (`id`),
  UNIQUE KEY `size_variants_photo_id_type_unique` (`photo_id`,`type`),
  KEY `size_variants_short_path_index` (`short_path`),
  KEY `size_variants_photo_id_type_ratio_index` (`photo_id`,`type`,`ratio`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `sym_links`
--

CREATE TABLE `sym_links` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL,
  `updated_at` datetime(6) NOT NULL,
  `size_variant_id` bigint(20) unsigned NOT NULL,
  `short_path` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sym_links_created_at_index` (`created_at`),
  KEY `sym_links_size_variant_id_created_at_index` (`size_variant_id`,`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `tag_albums`
--

CREATE TABLE `tag_albums` (
  `id` char(24) COLLATE utf8mb4_unicode_ci NOT NULL,
  `show_tags` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL,
  `updated_at` datetime(6) NOT NULL,
  `username` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `password` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `may_administrate` tinyint(1) NOT NULL DEFAULT '0',
  `token` char(128) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `may_upload` tinyint(1) NOT NULL DEFAULT '0',
  `may_edit_own_settings` tinyint(1) NOT NULL DEFAULT '0',
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_username_unique` (`username`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_token_unique` (`token`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC AUTO_INCREMENT=2 ;

--
-- Dumping data for table `users`
--

INSERT INTO `users` VALUES
(1, '[[regtime_]]', '[[regtime_]]', '[[admin_username]]', '[[admin_pass]]', NULL, 1, NULL, 1, 1, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `webauthn_credentials`
--

CREATE TABLE `webauthn_credentials` (
  `id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `authenticatable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `authenticatable_id` bigint(20) unsigned NOT NULL,
  `user_id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alias` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `counter` bigint(20) unsigned DEFAULT NULL,
  `rp_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `origin` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `transports` json DEFAULT NULL,
  `aaguid` char(36) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `public_key` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `attestation_format` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'none',
  `certificates` json DEFAULT NULL,
  `disabled_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `webauthn_user_index` (`authenticatable_type`,`authenticatable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci ROW_FORMAT=DYNAMIC;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `access_permissions`
--
ALTER TABLE `access_permissions`
  ADD CONSTRAINT `access_permissions_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `albums`
--
ALTER TABLE `albums`
  ADD CONSTRAINT `albums_cover_id_foreign` FOREIGN KEY (`cover_id`) REFERENCES `photos` (`id`) ON DELETE SET NULL ON UPDATE CASCADE,
  ADD CONSTRAINT `albums_id_foreign` FOREIGN KEY (`id`) REFERENCES `base_albums` (`id`),
  ADD CONSTRAINT `albums_parent_id_foreign` FOREIGN KEY (`parent_id`) REFERENCES `albums` (`id`);

--
-- Constraints for table `base_albums`
--
ALTER TABLE `base_albums`
  ADD CONSTRAINT `base_albums_owner_id_foreign` FOREIGN KEY (`owner_id`) REFERENCES `users` (`id`);

--
-- Constraints for table `jobs_history`
--
ALTER TABLE `jobs_history`
  ADD CONSTRAINT `jobs_history_owner_id_foreign` FOREIGN KEY (`owner_id`) REFERENCES `users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `oauth_credentials`
--
ALTER TABLE `oauth_credentials`
  ADD CONSTRAINT `oauth_credentials_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `photos`
--
ALTER TABLE `photos`
  ADD CONSTRAINT `photos_album_id_foreign` FOREIGN KEY (`album_id`) REFERENCES `albums` (`id`),
  ADD CONSTRAINT `photos_owner_id_foreign` FOREIGN KEY (`owner_id`) REFERENCES `users` (`id`);

--
-- Constraints for table `size_variants`
--
ALTER TABLE `size_variants`
  ADD CONSTRAINT `size_variants_photo_id_foreign` FOREIGN KEY (`photo_id`) REFERENCES `photos` (`id`);

--
-- Constraints for table `sym_links`
--
ALTER TABLE `sym_links`
  ADD CONSTRAINT `sym_links_size_variant_id_foreign` FOREIGN KEY (`size_variant_id`) REFERENCES `size_variants` (`id`);

--
-- Constraints for table `tag_albums`
--
ALTER TABLE `tag_albums`
  ADD CONSTRAINT `tag_albums_id_foreign` FOREIGN KEY (`id`) REFERENCES `base_albums` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
